﻿using MyFirstMAUI.Utility;
using Newtonsoft.Json.Linq;
using System.Text;

namespace MyFirstMAUI;

public partial class MainPage : ContentPage
{
	int count = 0;

	public MainPage()
	{
		InitializeComponent();
	}

    //private void btnReqHistory_Clicked(object sender, EventArgs e)
    //{
    //    int start = int.Parse(entStart.Text);
    //    int end = int.Parse(entEnd.Text);

    //    List<int> history = new List<int>(6 * (end - start + 1));
    //    for (int i = start; i <= end; i++)
    //    {
    //        history.AddRange(GetHistory(i));
    //    }

    //    history.Sort();
    //    Dictionary<string, int> historyCount = new Dictionary<string, int>();
    //    for (int i = 0; i < history.Count; i++)
    //    {
    //        string key = history[i].ToString();
    //        if (!historyCount.ContainsKey(key))
    //            historyCount.Add(key, 0);

    //        historyCount[key]++;
    //    }

    //    PrintHistory(historyCount);
    //}

    private List<int> GetHistory(int round)
    {
        List<int> result = new List<int>(6);
        string url = $"http://www.dhlottery.co.kr/common.do?method=getLottoNumber&drwNo={round.ToString()}";
        JObject response = WebAPIUtil.CallRequest(url);
        result.Add(int.Parse(response["drwtNo1"].ToString()));
        result.Add(int.Parse(response["drwtNo2"].ToString()));
        result.Add(int.Parse(response["drwtNo3"].ToString()));
        result.Add(int.Parse(response["drwtNo4"].ToString()));
        result.Add(int.Parse(response["drwtNo5"].ToString()));
        result.Add(int.Parse(response["drwtNo6"].ToString()));

        return result;
    }

    private void PrintHistory(Dictionary<string, int> history)
    {
        StringBuilder stringBuilder = new StringBuilder();
        foreach (KeyValuePair<string, int> pair in history)
        {
            string append = $"[{pair.Key}공] → {pair.Value}회";
            stringBuilder.AppendLine(append);
        }

        DisplayAlert("결과", stringBuilder.ToString(), "확인");
    }

    private void btnGenerate_Clicked(object sender, EventArgs e)
    {
        List<int> selected = new List<int>(6);
        selected.Add(bv1.Pick(selected));
        selected.Add(bv2.Pick(selected));
        selected.Add(bv3.Pick(selected));
        selected.Add(bv4.Pick(selected));
        selected.Add(bv5.Pick(selected));
        selected.Add(bv6.Pick(selected));
    }
}

