﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace MyFirstMAUI.Utility
{
    internal class WebAPIUtil
    {
        public static JObject CallRequest(string url)
        {
            JObject obj;
            try
            {
                WebRequest req = WebRequest.Create(url);
                req.Method = "GET";
                req.ContentType = "application/json";
                using (WebResponse response = req.GetResponse())
                using (Stream dataStream = response.GetResponseStream())
                using (StreamReader reader = new StreamReader(dataStream))
                {
                    string reponse = reader.ReadToEnd();
                    obj = JObject.Parse(reponse);
                }
            }
            catch (Exception ex)
            {
                throw;
            }

            return obj;
        }
    }
}
